> ## Documentation Index
> Fetch the complete documentation index at: https://docs.brandfetch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Brand Data - Domain name

> Get brand data using a domain name identifier.



## OpenAPI

````yaml GET /v2/brands/domain/{domain}
openapi: 3.0.1
info:
  title: Brandfetch API
  description: >-
    Our APIs help you personalize your customer journey through unique branded
    experiences.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.brandfetch.io
security: []
paths:
  /v2/brands/domain/{domain}:
    get:
      tags:
        - brands
      summary: Get brand data by domain
      description: Get brand data using a domain name identifier.
      operationId: getBrandDataByDomain
      parameters:
        - name: domain
          in: path
          description: Domain name (e.g., `nike.com`)
          required: true
          schema:
            type: string
          examples:
            domain:
              summary: Domain
              value: nike.com
        - name: allowNsfw
          in: query
          required: false
          description: >-
            Brandfetch evaluates brands for NSFW content and reserves the right
            to not return inappropriate brands. Depending on the severity, a
            brand may either not be returned at all (`404`), or be returned with
            its `isNsfw` property set to `true`. The `allowNsfw` query parameter
            lets you control this behavior:


            - **Not set** (default) — Some NSFW brands are not returned (`404`),
            others are returned with `isNsfw: true`.

            - **`true`** — Returns the brand regardless of its NSFW status.

            - **`false`** — Filters out all brands flagged as NSFW (returns
            `404`).
          schema:
            type: boolean
      responses:
        '200':
          description: Successful request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BrandResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    enum:
                      - Bad Request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    enum:
                      - Unauthorized
        '404':
          description: <Not Found> or <Invalid Domain Name>
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    enum:
                      - <Not Found> or <Invalid Domain Name>
        '429':
          description: API key quota exceeded
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    enum:
                      - API key quota exceeded
      security:
        - bearerAuth: []
components:
  schemas:
    BrandResponse:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the brand
          nullable: false
        name:
          type: string
          description: Brand name
          nullable: true
        domain:
          type: string
          description: Brand website URL
          nullable: false
        claimed:
          type: boolean
          description: >-
            Set to true if the owner of the brand claimed its brand profile on
            [Brandfetch](https://brandfetch.com)
          nullable: false
        description:
          type: string
          description: Brand description
          nullable: true
        longDescription:
          type: string
          description: Brand long description
          nullable: true
        links:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
                description: Name of the social media platform
                nullable: false
                enum:
                  - twitter
                  - facebook
                  - instagram
                  - github
                  - youtube
                  - linkedin
                  - crunchbase
              url:
                type: string
                description: URL of the social media profile
                nullable: false
          description: Social media links of the brand
          nullable: false
        logos:
          type: array
          items:
            type: object
            properties:
              theme:
                type: string
                description: >-
                  See logo theme. Possible values:

                  - **dark**: A dark logo should be displayed on a light
                  background (e.g. #ffffff)

                  - **light**: A light logo should be displayed on a dark
                  background (e.g. #000000)
                nullable: true
                enum:
                  - dark
                  - light
                  - null
              formats:
                type: array
                items:
                  $ref: '#/components/schemas/Format'
                description: A list of format objects containing files in different formats
                nullable: false
              tags:
                type: array
                items:
                  type: object
                  properties: {}
                description: >-
                  A list of string attached to the logo. For example, if the
                  logo icon is "photographic" rather than a logomark. Possible
                  values:

                  - **photographic**: The asset image is photographic in nature.
                  For example, if this tag is present on an icon or Logo asset,
                  it means the image has photographic qualities and is likely
                  not a typical brand logotype or logomark graphic.

                  - **portrait**: The asset image is a portrait or
                  portrait-like. This is often the case when a sole
                  proprietorship or small brand uses a self portrait as their
                  logo or icon.
                nullable: false
              type:
                type: string
                description: >-
                  See logo type. Possible values:

                  - **icon**: The icon that is used on social profiles (e.g.
                  [Tesla's social
                  icon](https://cdn.brandfetch.io/tesla.com/icon))

                  - **logo**: The horizontal logo, seen on large surfaces (e.g.
                  [Tesla's
                  logo](https://asset.brandfetch.io/id2S-kXbuK/idAJ5NMLPG.svg))

                  - **symbol**: The universal mark that abstractly represents
                  the brand (e.g. [Tesla's T
                  symbol](https://asset.brandfetch.io/id2S-kXbuK/idM-t614MT.svg))

                  - **other**: Other is used to refer to any type of logo that
                  is not the primary one. (e.g. Amazon Kindle Logo)
                nullable: false
                enum:
                  - icon
                  - logo
                  - symbol
                  - other
          description: Logos, symbols & icons of the brand
          nullable: false
        colors:
          type: array
          items:
            type: object
            properties:
              hex:
                type: string
                description: Color HEX code
                nullable: false
              type:
                type: string
                description: >-
                  Type of the color. Possible values:

                  - **accent**: The main color that represents the brand (used
                  to draw attention e.g. call to action button)

                  - **dark**: The darker color of the brand (used for surfaces
                  or backgrounds)

                  - **light**: The lighter color of the brand (used for surfaces
                  or backgrounds)

                  - **brand**: The full-color scheme of the brand (used to
                  create color palettes users can pick from)
                nullable: false
                enum:
                  - accent
                  - dark
                  - light
                  - brand
              brightness:
                type: number
                description: >-
                  Color brightness. Calculated based on the standard formula
                  0.2126*R + 0.7152*G + 0.0722*B
                nullable: false
                format: float
          description: Accent, dark, light & palette colors of the brand
          nullable: false
        fonts:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
                description: Font family
                nullable: true
              type:
                type: string
                description: Font type
                nullable: false
                enum:
                  - title
                  - body
              origin:
                type: string
                description: >-
                  See font origin. Possible values:

                  - **google**: The font that's hosted on Google Font

                  - **custom**: The font that has been uploaded by the brand
                  itself

                  - **system**: The font that's already installed on the user's
                  operating system (see example)
                enum:
                  - google
                  - custom
                  - system
              originId:
                type: string
                description: Font origin ID
                nullable: true
              weights:
                type: array
                items:
                  type: object
                  properties: {}
          description: Title & body fonts of the brand
          nullable: false
        images:
          type: array
          items:
            type: object
            properties:
              formats:
                type: array
                items:
                  $ref: '#/components/schemas/Format'
                description: Available formats of the image
                nullable: false
              tags:
                type: array
                items:
                  type: object
                  properties: {}
                description: Tags associated with the image
                nullable: false
              type:
                type: string
                description: Image type
                nullable: false
                enum:
                  - banner
                  - other
          description: Banner & other images of the brand
          nullable: false
        qualityScore:
          type: number
          description: >-
            Score between 0-1 which indicates the quality of the data for the
            given brand. Useful when you don't want to show lower quality brands
            to your users.


            Lower 3rd is poor quality, middle 3rd is OK quality, upper 3rd is
            high quality. Lower scores indicate that a brand is less likely to
            be "real". For example, where google.com will score high,
            my-random-blog.com will score between 0.3-0.4. The score factors in
            things like data-recency, whether the brand has been claimed, if it
            has been manually verified by our team, the brand's domain ranking
            on the web, as well as other factors.


            Don't rely on a fixed score for any given brand. The way we
            calculate this score may change over time as we add new factors, or
            tweak the weights of existing ones such that a score for a given
            brand may change. However, they will remain aligned such that scores
            divide quality into thirds: low, medium, high.
          nullable: false
        company:
          type: object
          properties:
            employees:
              type: integer
              description: >-
                1 employee, 2-10 employees, 11-50 employees, 51-200 employees,
                201-500 employees, 501-1,000 employees, 1,001-5,000 employees,
                5,001-10,000 employees, 10,001+ employees
              enum:
                - 1
                - 2
                - 11
                - 51
                - 201
                - 501
                - 1001
                - 5001
                - 10001
              nullable: true
            financialIdentifiers:
              type: object
              description: Object holding financial identifiers
              properties:
                isin:
                  type: array
                  description: List of ISIN codes
                  items:
                    type: string
                ticker:
                  type: array
                  description: List of Stock or ETF ticker
                  items:
                    type: string
              nullable: true
            foundedYear:
              type: integer
              description: The year the brand was founded
              nullable: true
            industries:
              type: array
              items:
                $ref: '#/components/schemas/Industry'
              description: >-
                An array of industry categories, sorted by descending
                confidence. See the full list of industries
                [here](https://docs.google.com/spreadsheets/d/1N44nMfVtPCFM4ebTcmRlqbyxjFtDAGVuqd0mh0dcOU0/edit?usp=sharing)
            kind:
              type: string
              description: Organizational Structure
              enum:
                - EDUCATIONAL
                - GOVERNMENT_AGENCY
                - NON_PROFIT
                - PARTNERSHIP
                - PRIVATELY_HELD
                - PUBLIC_COMPANY
                - SELF_EMPLOYED
                - SELF_OWNED
              nullable: true
            location:
              $ref: '#/components/schemas/Location'
          description: The company object returns firmographic data related to the brand
          nullable: false
        isNsfw:
          type: boolean
          description: true when the brand is for adult content, e.g. is not safe for work
          nullable: false
        urn:
          type: string
          description: Uniform Resource Name for the brand
          nullable: false
    Format:
      type: object
      properties:
        src:
          type: string
          description: File source
        format:
          type: string
          enum:
            - svg
            - webp
            - png
            - jpeg
          description: File format
        height:
          type: integer
          nullable: true
          description: File height in pixels
        width:
          type: integer
          nullable: true
          description: File width in pixels
        size:
          type: integer
          description: File size in bytes
        background:
          type: string
          enum:
            - transparent
          nullable: true
          description: Indicates if the file has a transparent background
    Industry:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the industry
        score:
          type: number
          format: float
          description: Score between 0-1 about the confidence in the industry
        slug:
          type: string
          description: URL friendly identifier
        name:
          type: string
          description: Name of the industry
        emoji:
          type: string
          description: An emoji for the industry
        parent:
          description: If the object is a sub-category, the parent industry
          items:
            $ref: '#/components/schemas/IndustryParent'
          nullable: true
    Location:
      type: object
      description: Company's headquarter information
      properties:
        city:
          type: string
          description: Headquarter city
          nullable: true
        country:
          type: string
          description: Headquarter country
          nullable: true
        countryCode:
          type: string
          description: Headquarter country code (ISO 3166-1 alpha-2)
          nullable: true
        region:
          type: string
          description: Headquarter region
          nullable: true
        state:
          type: string
          description: Headquarter state
          nullable: true
        subregion:
          type: string
          description: Headquarter subregion
          nullable: true
    IndustryParent:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the industry
        slug:
          type: string
          description: URL friendly identifier
        name:
          type: string
          description: Name of the industry
        emoji:
          type: string
          description: An emoji for the industry
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````